Fork me on GitHub

Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 5
Number of dependencies (NOD): 79
Number of unique artifacts (NOA): 85
Number of version-conflicting artifacts (NOC): 5
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 92 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

classworlds:classworlds

[Error]
1.1
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- classworlds:classworlds:jar:1.1:compile

1.1-alpha-2
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
       |  \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for conflict with 1.1)
       \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile
          \- (classworlds:classworlds:jar:1.1-alpha-2:compile - omitted for duplicate)

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-30
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.apache.maven.reporting:maven-reporting-api:jar:2.2.1:compile
          \- org.apache.maven.doxia:doxia-logging-api:jar:1.1:compile
             \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-30:compile - omitted for conflict with 1.0-alpha-9-stable-1)

1.0-alpha-9-stable-1
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    +- org.codehaus.mojo:mrm-api:jar:1.1.0:compile
    |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  \- org.apache.maven.archetype:archetype-common:jar:2.2:compile
    |     +- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |     \- org.codehaus.plexus:plexus-velocity:jar:1.1.8:compile
    |        \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:2.2.1:compile
    |  +- org.apache.maven:maven-settings:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-plugin-parameter-documenter:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-profile:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  +- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
    |  +- org.apache.maven:maven-error-diagnostics:jar:2.2.1:compile
    |  |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    |  \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
    |     \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for duplicate)

1.5.5
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:1.4:compile
       \- (org.codehaus.plexus:plexus-container-default:jar:1.5.5:compile - omitted for conflict with 1.0-alpha-9-stable-1)

org.codehaus.plexus:plexus-interactivity-api

[Error]
1.0-alpha-4
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-4:compile

1.0-alpha-6
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.apache.maven.wagon:wagon-ssh:jar:1.0-beta-6:compile
          \- org.apache.maven.wagon:wagon-ssh-common:jar:1.0-beta-6:compile
             \- (org.codehaus.plexus:plexus-interactivity-api:jar:1.0-alpha-6:compile - omitted for conflict with 1.0-alpha-4)

org.mortbay.jetty:servlet-api

[Error]
2.5-20081211
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.mortbay.jetty:jetty:jar:6.1.26:compile
       \- (org.mortbay.jetty:servlet-api:jar:2.5-20081211:compile - omitted for conflict with 2.5.20110712)

2.5.20110712
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.mortbay.jetty:servlet-api:jar:2.5.20110712:compile

org.slf4j:slf4j-api

[Error]
1.5.3
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.apache.maven.wagon:wagon-webdav-jackrabbit:jar:1.0-beta-6:runtime
          +- org.apache.jackrabbit:jackrabbit-webdav:jar:1.5.0:runtime
          |  \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for conflict with 1.5.6)
          \- org.slf4j:slf4j-nop:jar:1.5.3:runtime
             \- (org.slf4j:slf4j-api:jar:1.5.3:runtime - omitted for duplicate)

1.5.6
  1. org.codehaus.mojo:mrm-maven-plugin:maven-plugin:1.1.0
    \- org.apache.maven:maven-core:jar:2.2.1:compile
       \- org.slf4j:slf4j-jdk14:jar:1.5.6:runtime
          \- org.slf4j:slf4j-api:jar:1.5.6:runtime